.my_chat {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-shadow: 1px 1px 5px #ddd;
    box-shadow: 1px 1px 5px #ddd;
    width: 1050px;
    padding: 10px;
    height: 680px;
    overflow-y: hidden;
    -webkit-box-flex: 0;
    -ms-flex: none;
    flex: none;
}
.my_chat aside {
    text-align: left !important;
    width: 269px;
    height: 660px;
    float: left;
}
.my_chat aside wf-chat-room {
    display: block;
    height: calc(100% - 52.28px);
    overflow-y: auto;
    overflow-x: hidden;
    text-align: left;
}
.my_chat aside wf-chat-room wf-chat-room-info {
    padding: 6px 0 6px 10px;
    border-bottom: 1px solid #ddd;
    cursor: pointer;
    margin: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    position: relative;
    height: 57px;
}
.my_chat aside wf-chat-room wf-chat-room-info.chat-choice {
    background-color: #e4e4e4;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-user-head-img wf-p.wf_p_img {
    cursor: default;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-user-head-img wf-p {
    display: block;
    color: #333;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-user-head-img .avatar-img {
    width: 45px;
    height: 45px;
    vertical-align: middle;
    border: 0;
    border-radius: 3px;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail {
    width: 100%;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-title {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-title wf-user {
    max-width: 130px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 400;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-title wf-chat-user-name {
    display: inline-block;
    min-width: 126px;
    max-width: 146px;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-title wf-chat-user-name wf-user {
    color: #282828;
    font-size: 15px;
    font-weight: 500;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-title create-time {
    color: #999999;
    margin: 3px 8px 0 0;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-last {
    word-break: break-all;
    display: block;
    margin-top: 2px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 14px;
    width: 202px;
}
.my_chat aside wf-chat-room wf-chat-room-info wf-chat-room-detail wf-chat-room-last wf-chat-room-last-message {
    color: #999;
}
.my_chat aside .recent_contact {
    font-size: 16px;
    font-weight: normal;
    border-bottom: 1px solid #ddd;
    margin-bottom: 0;
    padding: 0 0 16px 0;
    color: #000;
    text-align: center;
}
.my_chat .nick_name {
    border-bottom: 1px solid #ddd;
    margin: 0;
    text-align: center;
    color: #333;
    height: 40px;
    display: block;
    font-size: 16px;
    padding: 6px 0px;
    font-weight: 500;
}
.my_chat .chat_box {
    width: 800px;
    height: 660px;
    border-left: 1px solid #ddd;
}
.my_chat .chat_box wf-button#more {
    width: 100%;
    background-color: rgba(250, 250, 250, 0.6);
    margin: 0;
    padding: 5px;
    text-align: center;
    height: auto;
}
.my_chat .chat_box wf-button#more .fa-spinner {
    margin-right: 5px;
}
.my_chat .chat_box .default_text {
    color: #e2ebf4;
    font-size: 80px;
    display: inline-block;
    width: 100%;
    text-align: center;
    margin-top: 200px;
    letter-spacing: 10px;
}
.my_chat .chat_box .wf-sns-chatroom {
    margin: 0;
    max-width: 960px;
    position: relative;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message {
    padding: 0px 20px 20px;
    height: 92%;
    display: block;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-body-userinfo wf-chat-message-content {
    max-width: 350px;
    width: auto;
    white-space: pre-wrap;
    word-break: break-all;
    line-height: 20px;
    padding: 10px;
    background-color: #e5e5e5;
    margin: 0 6px 6px 6px;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-body-userinfo wf-chat-message-content.float_right {
    background-color: #3d80e3;
    color: #fff;
    margin-right: 14px;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-body-userinfo wf-chat-message-content.float_left {
    margin-left: 14px;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-body-userinfo i {
    margin-top: 12px;
    color: #d11b1b;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-info {
    clear: both;
    display: block;
    margin: 10px 0;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-info wf-chat-message-tips span {
    display: inline-block;
    margin-bottom: 20px;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-info wf-chat-message-tips a {
    text-decoration: none;
    margin-left: 10px;
    color: #3d80e3;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-send textarea {
    width: 100%;
    resize: none;
    margin-bottom: 5px;
    margin-top: 5px;
    word-break: break-all;
    padding: 6px 10px;
    border: solid 1px #c4c5c5;
    background-color: #fff;
    outline: none;
    font-family: monospace;
    line-height: 20px;
    white-space: pre-wrap;
    text-align: left;
    overflow-y: auto;
    min-height: 80px;
}
.my_chat .chat_box .wf-sns-chatroom wf-chat-message#chat_message wf-chat-message-send wf-button {
    text-align: center;
    height: 34px;
    line-height: 34px;
    padding: 0px 20px;
    background-color: #388dfe;
    color: #fff;
    border-radius: 2px;
    letter-spacing: 1px;
    width: auto;
    display: inline-block;
    margin: 0px 3px;
    cursor: pointer;
}
/* 右键菜单样式 */
napstic-chat aside .custom_menu {
    width: 110px;
    display: none;
    position: absolute;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}
napstic-chat aside .custom_menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
napstic-chat aside .custom_menu ul li {
    padding: 8px 12px;
    cursor: pointer;
    height: 35px;
    line-height: 19px;
    box-sizing: border-box;
}
napstic-chat aside .custom_menu ul li:hover {
    background-color: #f0f0f0;
}

wf-chat-message-tips a {
    text-decoration: none;
    margin-left: 10px;
    color: #3d80e3;
}

wf-chat-message-tips > span {
    display: inline-block;
    font-size: 12px;
    margin-bottom: 20px;
}

wf-chat-message-body-userinfo i {
    margin-top: 12px;
    color: rgb(209, 27, 27);
}
